server:
  port: ${port:8096}


keycloak-client:
  server-url: http://localhost:18080/auth
  realm:  bom-destino

spring:
  application:
    name: api-municipio
  security:
    oauth2:
      client:
        registration:
          keycloak:
            provider: keycloak
            client-id: bom-destino-app-client
            client-secret: 0efb821f-b927-4bd1-ab23-f308a740c797
            authorization-grant-type: authorization_code
            redirect-uri: http://localhost:8096/
            scope: openid
        provider:
          keycloak:
            authorization-uri: ${keycloak-client.server-url}/realms/${keycloak-client.realm}/protocol/openid-connect/auth
            token-uri: ${keycloak-client.server-url}/realms/${keycloak-client.realm}/protocol/openid-connect/token
            user-info-uri: ${keycloak-client.server-url}/realms/${keycloak-client.realm}/protocol/openid-connect/userinfo
            jwk-set-uri: ${keycloak-client.server-url}/realms/${keycloak-client.realm}/protocol/openid-connect/certs
            user-name-attribute: name
            user-info-authentication-method: header
      resourceserver:
        jwt:
          jwk-set-uri: ${keycloak-client.server-url}/realms/${keycloak-client.realm}/protocol/openid-connect/certs

management:
  endpoints:
    web:
      exposure:
        include: "*"

eureka:
  client:
    serviceUrl:
      #      defaultZone: ${DISCOVER:http://localhost:8761}/eureka/
      defaultZone: http://localhost:8090/eureka/
  instance:
    leaseRenewalIntervalInSeconds: 1
    leaseExpirationDurationInSeconds: 2

ribbon:
  eureka:
    enabled: true